The BOOST_PP_SEQ_TO_TUPLE macro converts a seq to an tuple.

#### Usage

BOOST_PP_SEQ_TO_TUPLE(seq)

#### Arguments

seq
  The seq to be converted.

#### Requirements

Header: <boost/preprocessor/seq/to_tuple.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/to_tuple.hpp>

    #define SEQ (a)(b)(c)

    BOOST_PP_SEQ_TO_TUPLE(SEQ) // expands to (a, b, c)

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)